#
# spec file for package cockpit-tukit
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name: cockpit-tukit
Version: 0.0.3~git14.ff11a9a
Release: 150400.1.1
Summary: Cockpit module for Transactional Update
License: LGPL-2.1-or-later

URL: https://github.com/openSUSE/cockpit-tukit
Source: %{name}-%{version}.tar.xz
Source10:       package-lock.json
Source11:       node_modules.spec.inc
Source12:       node_modules.sums
%include %_sourcedir/node_modules.spec.inc
BuildArch: noarch
BuildRequires: nodejs-devel
BuildRequires: npm
BuildRequires: make
BuildRequires: appstream-glib
BuildRequires: cockpit-devel >= 251
BuildRequires: local-npm-registry

Requires: cockpit-system
Requires: tukitd

%define debug_package %{nil}

%description
Cockpit module for Transactional Update

%prep
%setup -q -n %{name}-%{version}
rm -f package-lock.json
local-npm-registry %{_sourcedir} install --with=dev --legacy-peer-deps || ( find ~/.npm/_logs -name '*-debug.log' -print0 | xargs -0 cat; false)

%build
cp -r %{_datadir}/cockpit/devel/lib src/lib
NODE_ENV=production npm run build

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%files
%doc README.md
%license LICENSE dist/index.js.LICENSE.txt.gz
%{_datadir}/cockpit
%{_datadir}/metainfo/*

%changelog
* Thu Aug 11 2022 jan.suse@zerebecki.de
- Drop .git from tar by request from Jiří Šrain.
* Thu Aug  4 2022 jtomasiak@suse.com
- Update to version 0.0.3~git14.ff11a9a:
  * Add support for dict-format snapshots List
  * Fix URIError: malformed URI sequence
  * fix filemane+duplications
  * initial version of czech translation
  * added/corrected de.po for german
- Remove old cockpit-tukit.obsinfo file
* Mon Jun 20 2022 jtomasiak@suse.com
- Update to version 0.0.3~git9.94caf26:
  * switch _service to stable branch
  * Add translation template
  * Update translations
* Thu May 19 2022 jan.suse@zerebecki.de
- Update to version 0.0.3~git6.03c747e:
  * Hide snapshot item extension part
  * Change help URL to official docs
  * Mention node_modules.sums in spec sources
  * Use compression for source archive
* Fri Apr 29 2022 jan.suse@zerebecki.de
- Initial package with version 0.0.3~git0.d4aa7e9:
  * Switch to ExecuteAndReboot
  * Add no-reboot actions to snapshot menus
  * Add some "write" actions
  * Disable actions during updates checking
  * Add updates error to status
  * Add _service file comment
  * Add OBS service definition
  * Fix license and files in spec
  * Switch cockpit-devel lib to last stable
  * Add missing global variables
